/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Kunde;

public class Client1Test {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");
        
        EntityManagerFactory emf = Persistence
                .createEntityManagerFactory("bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Kunde k = em.find(Kunde.class, 1);
        System.out.println(k.getNachname());
        k.setNachname("Schulze");

        // wir simulieren ein Warten
        Thread.sleep(30000);

        em.getTransaction().begin();
        em.persist(k);
        em.getTransaction().commit();

        em.close();
        emf.close();
    }
}
