/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Kunde;

public class Client2Test {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");
        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Kunde k = em.find(Kunde.class, 1);

        k.setNachname("Meier");

        // Client2 aendert sofort
        em.getTransaction().begin();
        em.persist(k);
        em.getTransaction().commit();

        em.close();
        emf.close();
    }
}
